import React, { Component } from 'react';
import ReactDOM from 'react-dom'
import { HashLoader } from "react-spinners";
import { css } from 'emotion'
import './loading.scss'

const override = css({
    display: 'block',
    marginTop: '-100px'
})

const container = document.documentElement || document.body

class Loading extends Component {

    static defaultProps = {
        isLoading: true,
        text: '加载中'
    }

    render() {
        const innerLoading =
            <div className="loading">
                <div className="loading-wrapper">
                    <HashLoader
                        css={override}
                        size={50}
                        color={'#09f'}
                    />
                    <p>{this.props.text}</p>
                </div>
            </div>

        return (
            this.props.isLoading ? ReactDOM.createPortal(innerLoading, container) : this.props.children
        );
    }
}

export default Loading;