import React, { useEffect } from 'react';
import { withRouter } from "react-router-dom";
import { compose } from "redux";
import { connect } from "react-redux";


function Loading(props) {

    useEffect(() => {
        let {user, location, history} = props
        if (!user.isFetching) {
            if (user.hasError) {
                history.push('/passport', {from: location})
            } else {
                if (Object.values(user.data).every(item => !!item).length !== 0) {
                    history.push(location.pathname)
                }
            }
        }
    })

    return (
        <div className={'loading'}>
            loading...
        </div>
    );
}

export default compose(
    connect(
        state => ({user: state.user}),
        null
    ),
    withRouter
)(Loading)